Bug 1036956 - qt5-base-devel.x86_64 qt5-base-devel.i686 file conflict qconfig.h
Summary: qt5-base-devel.x86_64 qt5-base-devel.i686 file conflict qconfig.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 19
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-02 23:58 UTC by Asif Ali Rizvan
Modified: 2014-01-27 19:04 UTC (History)
7 users (show)

Fixed In Version: qt5-qtbase-5.2.0-0.12.rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 19:04:35 UTC


Attachments (Terms of Use)

Description Asif Ali Rizvan 2013-12-02 23:58:40 UTC
[rizvan@localhost SPECS]$ sudo yum install qt5-qtbase-devel.x86_64 qt5-qtbase-devel.i686

....

Running transaction check
Running transaction test


Transaction check error:
  file /usr/include/qt5/QtCore/qconfig.h from install of qt5-qtbase-devel-5.1.1-5.fc19.i686 conflicts with file from package qt5-qtbase-devel-5.1.1-5.fc19.x86_64

Error Summary
-------------

Comment 1 Kevin Kofler 2013-12-03 00:20:27 UTC
Argh, the qconfig.h multilib conflict strikes back. We probably need the same kind of workarounds we did for the Qt 4 qconfig.h.

Comment 2 Rex Dieter 2013-12-06 16:32:17 UTC
%changelog
* Fri Dec 06 2013 Rex Dieter <rdieter@fedoraproject.org> 5.2.0-0.12.rc1
- qt5-base-devel.x86_64 qt5-base-devel.i686 file conflict qconfig.h (#1036956)

Comment 3 Fedora Update System 2013-12-06 20:33:42 UTC
qt5-qtdeclarative-5.2.0-0.11.rc1.fc19, qt5-qtdoc-5.2.0-0.10.rc1.fc19, qt5-qtgraphicaleffects-5.2.0-0.10.rc1.fc19, qt5-qtimageformats-5.2.0-0.10.rc1.fc19, qt5-qtmultimedia-5.2.0-0.10.rc1.fc19, qt5-qtquick1-5.2.0-0.10.rc1.fc19, qt5-qtquickcontrols-5.2.0-0.10.rc1.fc19, qt5-qtscript-5.2.0-0.10.rc1.fc19, qt5-qtsvg-5.2.0-0.10.rc1.fc19, qt5-qttools-5.2.0-0.10.rc1.fc19, qt5-qttranslations-5.2.0-0.10.rc1.fc19, qt5-qtwebkit-5.2.0-0.10.rc1.fc19, qt5-qtxmlpatterns-5.2.0-0.10.rc1.fc19, qt5-qtbase-5.2.0-0.12.rc1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtbase-5.2.0-0.12.rc1.fc19,qt5-qtdeclarative-5.2.0-0.11.rc1.fc19,qt5-qtdoc-5.2.0-0.10.rc1.fc19,qt5-qtgraphicaleffects-5.2.0-0.10.rc1.fc19,qt5-qtimageformats-5.2.0-0.10.rc1.fc19,qt5-qtmultimedia-5.2.0-0.10.rc1.fc19,qt5-qtquick1-5.2.0-0.10.rc1.fc19,qt5-qtquickcontrols-5.2.0-0.10.rc1.fc19,qt5-qtscript-5.2.0-0.10.rc1.fc19,qt5-qtsvg-5.2.0-0.10.rc1.fc19,qt5-qttools-5.2.0-0.10.rc1.fc19,qt5-qttranslations-5.2.0-0.10.rc1.fc19,qt5-qtwebkit-5.2.0-0.10.rc1.fc19,qt5-qtxmlpatterns-5.2.0-0.10.rc1.fc19

Comment 4 Fedora Update System 2013-12-25 02:35:01 UTC
qt5-qtdoc-5.2.0-0.10.rc1.fc19, qt5-qtgraphicaleffects-5.2.0-0.10.rc1.fc19, qt5-qtimageformats-5.2.0-0.10.rc1.fc19, qt5-qtmultimedia-5.2.0-0.10.rc1.fc19, qt5-qtquick1-5.2.0-0.10.rc1.fc19, qt5-qtquickcontrols-5.2.0-0.10.rc1.fc19, qt5-qtscript-5.2.0-0.10.rc1.fc19, qt5-qtsvg-5.2.0-0.10.rc1.fc19, qt5-qttools-5.2.0-0.10.rc1.fc19, qt5-qttranslations-5.2.0-0.10.rc1.fc19, qt5-qtwebkit-5.2.0-0.10.rc1.fc19, qt5-qtxmlpatterns-5.2.0-0.10.rc1.fc19, qt5-qtbase-5.2.0-0.12.rc1.fc19, qt5-qtdeclarative-5.2.0-0.12.rc1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.